/*
 * IRremote: IRrecvDemo - demonstrates receiving IR codes with IRrecv
 * An IR detector/demodulator must be connected to the input RECV_PIN.
 * Version 0.1 July, 2009
 * Copyright 2009 Ken Shirriff
 * http://arcfn.com
 */

#include <IRremote.h>

int RECV_PIN = 11;
int ledr = 2;
int ledy = 3;
int ledg = 4;
int ledb = 5;
int ledp = 6;
int ledw = 7;
int ledrbg = 8;
long randOn = 0;                  // Initialize a variable for the ON time
long randOff = 0; 
int x;

IRrecv irrecv(RECV_PIN);

decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
   pinMode(ledr, OUTPUT);
   pinMode(ledy, OUTPUT);
   pinMode(ledg, OUTPUT);
   pinMode(ledb, OUTPUT);
   pinMode(ledp, OUTPUT);
   pinMode(ledw, OUTPUT);
   pinMode(ledrbg, OUTPUT);
}

void loop() {
  if (irrecv.decode(&results)) {
    Serial.println(results.value, DEC);
    irrecv.resume(); // Receive the next value
  }
  switch(results.value){

//sun
  case 16580863:
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, HIGH);
  digitalWrite (ledg, LOW);
  digitalWrite (ledb, LOW);
  digitalWrite (ledp, LOW);
  digitalWrite (ledw, HIGH);
  digitalWrite (ledrbg, LOW);
  break;
  
//rain
  case 16589023:
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, LOW);
  digitalWrite (ledg, LOW);
  digitalWrite (ledb, HIGH);
  digitalWrite (ledp, LOW);
  digitalWrite (ledw, HIGH);
  digitalWrite (ledrbg, LOW);
  break;
  
  
//lightning
   case 16584943:
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, LOW);
  digitalWrite (ledg, LOW);
  digitalWrite (ledb, HIGH);
  digitalWrite (ledp, HIGH);
  
  digitalWrite (ledrbg, LOW);
   
    randOn = random (10, 200); 
   digitalWrite(ledw, HIGH);  
   delay(randOn);  
   digitalWrite(ledw, LOW);   
   delay(randOn);  
   digitalWrite(ledw, HIGH);  
   delay(randOn + randOn);    
   digitalWrite(ledw, LOW);   
     
break;
  
    
//rainbow
    case 16593103:
  digitalWrite (ledr, HIGH);
  digitalWrite (ledy, HIGH);
  digitalWrite (ledg, HIGH);
  digitalWrite (ledb, HIGH);
  digitalWrite (ledp, HIGH);
  digitalWrite (ledw, LOW);
  digitalWrite (ledrbg, LOW);
    break;
    
//stoppress
    case 16586983: 
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, LOW);
  digitalWrite (ledg, LOW);
  digitalWrite (ledb, LOW);
  digitalWrite (ledp, LOW);
  digitalWrite (ledw, LOW);
  digitalWrite (ledrbg, LOW);
  break;
  

// ???
  case 16582903:
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, LOW);
  digitalWrite (ledg, LOW);
  digitalWrite (ledb, LOW);
  digitalWrite (ledp, LOW);
  digitalWrite (ledw, LOW);
  digitalWrite (ledrbg, HIGH);
  break;
  

//red on 
  case 16613503:
  digitalWrite (ledr, HIGH);
  break;
//red off 
  case 16597183:
  digitalWrite (ledr, LOW);
  break;
  
//orange on  
  case 16621663:
  digitalWrite (ledr, HIGH);
  digitalWrite (ledy, HIGH);
  break;
//orange off  
  case 16605343:
  digitalWrite (ledr, LOW);
  digitalWrite (ledy, LOW);
  break;
 

//yellow on 
  case 16617583:
  digitalWrite (ledy, HIGH);
  break;
//yellow off 
  case 16601263:
  digitalWrite (ledy, LOW);
  break;
 
 
//green on 
  case 16625743:
  digitalWrite (ledg, HIGH);
  break;
//green off 
  case 16609423:
  digitalWrite (ledg, LOW);
  break;


//blue on 
  case 16615543:
  digitalWrite (ledb, HIGH);
  break;  
//blue off 
  case 16599223:
  digitalWrite (ledb, LOW);
  break;   

  
//purple on 
  case 16623703:
  digitalWrite (ledp, HIGH);
  break;  
//purple off 
  case 16607383:
  digitalWrite (ledp, LOW);
  break;    
  
  
//white on 
  case 16619623:
  digitalWrite (ledw, HIGH);
  break;  
//white off 
  case 16603303:
  digitalWrite (ledw, LOW);
  break;
  }  
}
